### Class

# PangoFc Font

#### Description [src]

    abstract class PangoFc.Font : Pango.Font {
      parent_instance: PangoFont,
      font_pattern: FcPattern*,
      fontmap: PangoFontMap*,
      priv: gpointer,
      matrix: PangoMatrix,
      description: PangoFontDescription*,
      metrics_by_lang: GSList*,
      is_hinted: guint,
      is_transformed: guint
    }

`PangoFcFont` is a base class for font implementations using the Fontconfig and FreeType libraries.

It is used in onjunction with `PangoFcFontMap`. When deriving from this class, you need to implement all of its virtual functions other than `shutdown()` along with the `get_glyph_extents()` virtual function from `PangoFont`.

#### Ancestors

- PangoFont
- GObject

#### Instance methods

###### pango_fc_font_get_glyph

Gets the glyph index for a given Unicode character for `font`.

Available since: 1.4

###### pango_fc_font_get_languages

Returns the languages that are supported by `font`.

Available since: 1.48

###### pango_fc_font_get_pattern

Returns the FcPattern that `font` is based on.

Available since: 1.48

###### pango_fc_font_get_unknown_glyph

Returns the index of a glyph suitable for drawing `wc` as an unknown character.

Available since: 1.4

###### pango_fc_font_has_char

Determines whether `font` has a glyph for the codepoint `wc`.

Available since: 1.4

Deprecated since: 1.44

###### pango_fc_font_kern_glyphs

This function used to adjust each adjacent pair of glyphs in `glyphs` according to kerning information in `font`.

Available since: 1.4

###### pango_fc_font_lock_face

Gets the FreeType `FT_Face` associated with a font.

Available since: 1.4

Deprecated since: 1.44

###### pango_fc_font_unlock_face

Releases a font previously obtained with `pango_fc_font_lock_face()`.

Available since: 1.4

Deprecated since: 1.44

#### Properties

###### PangoFc.Font:fontmap

The PangoFc font map this font is associated with.

###### PangoFc.Font:pattern

The fontconfig pattern for this font.

#### Class structure

    struct PangoFcFontClass {
      /* no available fields */
    }

#### Functions

###### pango_fc_font_description_from_pattern

Creates a `PangoFontDescription` that matches the specified Fontconfig pattern as closely as possible.

Available since: 1.4